{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Photos{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>picture-path</th>
                    <th>Original name image</th>

                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.path }}</td>
                        <td>{{ entity.picture }}</td>

                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_photo', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}
